Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003732TestLinkTest Specificationpublic2010-09-01 09:582010-10-09 08:00
Reporterramesh_nistala 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformFirefoxOSWindows-XPOS VersionSP3
Product Version1.9 Beta 6 
Fixed in Version1.9 RC 1 
Summary0003732: Pre Condition is not displayed while writing test steps
DescriptionPre Condition is required to be displayed while writing test steps
Steps To ReproduceWhile writing test cases we compulsory need the Pre Condition Data to display.

I mentioned some data in Pre-conditions section as a table but while writing the test Steps i am unable to view the same.
The Pre Condition is hidden

Based upon this only i can easily write the test steps.

It is highly recommended to display the data in Pre-Condition.

If this feature is available in next Release then it will be a very great helpful for us.
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysyl
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-3732.zip [^] (55,660 bytes) 2010-09-01 20:17

- Relationships
child of 0003735closedfman Availables Fixes for 1.9 Beta 6 

-  Notes
(0011221)
Julian (reporter)
2010-09-01 12:52

if we change this behaviour we would have to add all information that can be set on "normal edit":
- summary
- preconditions
- custom fields
- test importance
- keywords
- requirements
- ...
(0011224)
fman (administrator)
2010-09-01 16:54

do not think this is critic => no action to be done before 1.9.
For 2.0 need to try putting all the stuff on one page and see what happens
(0011227)
fman (administrator)
2010-09-01 20:18

Please try with quick fix attached, and let us know
(0011228)
ramesh_nistala (reporter)
2010-09-02 05:19

Ok I will try this Hot fix.
Thankyou
(0011230)
ramesh_nistala (reporter)
2010-09-02 06:40

Hi I tried the Hot fix but Still now i am not able to view the Pre-Condition while writing test steps.
As a QA Manager i enter data in Pre Condition Section in the form of Table.
So while writing test steps users look into the Pre Conditions and they write steps according to the pre conditions.
So in my project One test case might contain huge scenarios as step wise and some times one scenario will contain huge test cases.

So it is highly recommended to show the Pre-Conditions to the user
(0011231)
Julian (reporter)
2010-09-02 07:45

then you did not apply the fix right.
(0011653)
ramesh_nistala (reporter)
2010-10-06 07:14

Can i expect this feature in New Release? I even tried on Testlink Beta-6, Still i am unable to view the precondition section while writing test steps.

Also I am eager to know the production release Date. Can any one provide this?
(0011654)
fman (administrator)
2010-10-06 08:36

Have you applied the fix ?
how ?
what do you see on video (attach immage)

>> Also I am eager to know the production release Date. Can any one provide this?
issue tracker is not for requesting this kind of information

please DO NOT REOPEN ISSUES if you do not have indication that issue is not solved.
(0011655)
ramesh_nistala (reporter)
2010-10-06 08:46

Hi,
I already applied the Hot fix previously but then also i am not able to view the Pre-condition while writing the steps.And it is already mentioned in the comments above.
Now i Instaled Testlink 1.9 beta-6 and verified the same in it but i am not able to view the precondition while writing the steps. That's why i am asking that this feature will be available in next release / Production release?
(0011704)
fman (administrator)
2010-10-09 08:00

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2010-09-01 09:58 ramesh_nistala New Issue
2010-09-01 12:52 Julian Note Added: 0011221
2010-09-01 16:54 fman Note Added: 0011224
2010-09-01 17:17 fman Assigned To => fman
2010-09-01 17:17 fman Status new => assigned
2010-09-01 17:18 fman Priority high => normal
2010-09-01 17:18 fman Severity major => minor
2010-09-01 20:17 fman File Added: fix-3732.zip
2010-09-01 20:18 fman Note Added: 0011227
2010-09-01 20:18 fman Status assigned => feedback
2010-09-02 05:19 ramesh_nistala Note Added: 0011228
2010-09-02 05:19 ramesh_nistala Status feedback => assigned
2010-09-02 06:40 ramesh_nistala Note Added: 0011230
2010-09-02 07:45 Julian Note Added: 0011231
2010-09-04 09:59 fman Status assigned => resolved
2010-09-04 09:59 fman Fixed in Version => 1.9 RC 1
2010-09-04 09:59 fman Resolution open => fixed
2010-09-04 10:00 fman Relationship added child of 0003735
2010-10-06 07:14 ramesh_nistala Note Added: 0011653
2010-10-06 07:14 ramesh_nistala Status resolved => assigned
2010-10-06 07:14 ramesh_nistala Resolution fixed => reopened
2010-10-06 08:36 fman Note Added: 0011654
2010-10-06 08:46 ramesh_nistala Note Added: 0011655
2010-10-06 10:24 fman Status assigned => resolved
2010-10-06 10:24 fman Resolution reopened => fixed
2010-10-09 08:00 fman Note Added: 0011704
2010-10-09 08:00 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker